Subject: [ieee-ietf-coord] FW: [new-work] WG Review: IPv6 over the TSCH mode of IEEE 802.15.4e (6tisch)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 29 Feb 2016 11:14:10 +0000

Re-chartering proposal for 6tisch. I believe that this is relevant for the IEEE 802 - IETF coordination activity, item #21 on the shared items list. Please forward on the relevant IEEE 802 mail lists, especially IEEE 802.15. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: new-work [mailto:[email-masked]] On Behalf Of The
> IESG
> Sent: Friday, February 26, 2016 12:48 AM
> To: [email-masked]
> Subject: [new-work] WG Review: IPv6 over the TSCH mode of IEEE 802.15.4e
> (6tisch)
> 
> The IPv6 over the TSCH mode of IEEE 802.15.4e (6tisch) WG in the Internet
> Area of the IETF is undergoing rechartering. The IESG has not made any
> determination yet. The following draft charter was submitted, and is
> provided for informational purposes only. Please send your comments to the
> IESG mailing list ([email-masked] by 2016-03-03.
> 
> IPv6 over the TSCH mode of IEEE 802.15.4e (6tisch)
> -----------------------------------------------------------------------
> Current status: Active WG
> 
> Chairs:
>   Pascal Thubert <[email-masked]>
>   Thomas Watteyne <[email-masked]>
> 
> Assigned Area Director:
>   Brian Haberman <[email-masked]>
> 
> Internet Area Directors:
>   Brian Haberman <[email-masked]>
>   Terry Manderson <[email-masked]>
> 
> Mailing list:
>   Address: [email-masked]
>   To subscribe: https://www.ietf.org/mailman/listinfo/6tisch
>   Archive: https://mailarchive.ietf.org/arch/search/?email_list=6tisch
> 
> Charter: https://datatracker.ietf.org/doc/charter-ietf-6tisch/
> 
> 6TiSCH: "IPv6 over the TSCH mode of IEEE 802.15.4e".
> 
> Background/Introduction:
> ------------------------
> 
> Low-power and Lossy Networks (LLNs) interconnect a possibly large number
> of resource-constrained nodes to form a wireless mesh network. The
> 6LoWPAN, ROLL and CoRE IETF Working Groups have defined protocols at
> various layers of the protocol stack, including an IPv6 adaptation layer, a
> routing protocol and a web transfer protocol. This protocol stack has been
> used with IEEE802.15.4 low-power radios.
> 
> The Timeslotted Channel Hopping (TSCH) mode was introduced in 2012 as an
> amendment to the Medium Access Control (MAC) portion of the
> IEEE802.15.4 standard. TSCH is the emerging standard for industrial
> automation and process control LLNs, with a direct inheritance from
> WirelessHART and ISA100.11a. Defining IPv6 over TSCH, 6TiSCH is a key to
> enable the further adoption of IPv6 in industrial standards and the
> convergence of Operational Technology (OT) with Information Technology
> (IT).
> 
> The nodes in a IEEE802.15.4 TSCH network communicate by following a Time
> Division Multiple Access (TDMA) schedule. A timeslot in this schedule
> provides a unit of bandwidth that is allocated for communication between
> neighbor nodes. The allocation can be programmed such that the predictable
> transmission pattern matches the traffic. This avoids idle listening, and
> extends battery lifetime for constrained nodes. Channel-hopping improves
> reliability in the presence of narrow- band interference and multi-path
> fading.
> 
> These techniques enable a new range of use cases for LLNs, including:
> - Control loops in a wireless process control network, in which high reliability
> and a fully deterministic behavior are required.
> - Service Provider networks transporting data from different independent
> clients, and for which an operator needs flow isolation and traffic shaping.
> - Networks comprising energy harvesting nodes, which require an extremely
> low and predictable average power consumption.
> 
> IEEE802.15.4 only defines the link-layer mechanisms. It does not define how
> the network communication schedule is built and matched to the traffic
> requirements of the network.
> 
> Description of Working Group:
> -----------------------------
> 
> The Working Group will focus on enabling IPv6 over the TSCH mode of the
> IEEE802.15.4 standard. The extent of the problem space for the WG is one or
> more LLNs, possibly federated through a common backbone link via one or
> more LLN Border Routers (LBRs). The WG will rely on, and if necessary
> extend, existing mechanisms for authenticating LBRs.
> 
> Initially, the WG has limited its scope to distributed routing over a static
> schedule using the Routing Protocol for LLNs (RPL) on the resulting network.
> This new charter allows for the dynamic allocation of cells and their exchange
> between adjacent peers to accommodate the available bandwidth to the
> variations of throughput in IP traffic.
> 
> The WG will continue working on securing the join process and making that
> fit within the constraints of high latency, low throughput and small frame
> sizes that characterize IEEE802.15.4 TSCH.
> 
> Additionally, IEEE802.15.4 TSCH being a deterministic MAC, it is envisioned
> that 6TiSCH will benefit from the work of DetNet WG to establish the so-
> called deterministic tracks. The group will define the objects and methods
> that need to be configured, and provide the associated requirements to
> DetNet.
> 
> The WG will interface with other appropriate groups in the IETF Internet,
> Operations and Management, Routing and Security areas.
> 
> Work Items:
> -----------
> 
> The group will:
> 
> - Produce a specification of the 6top sublayer that describes the protocol for
> neighbor nodes to negotiate adding/removing cells. This work will leverage
> cross participation from IEEE members including the IEEE 6TiSCH Interest
> Group (IG 6T) to define protocol elements and associated frame formats.
> 
> - Produce a specification for a default 6top Scheduling Function including the
> policy to enable distributed dynamic scheduling of timeslots for IP traffic.
> This may include the capability for nodes to appropriate chunks of the matrix
> without starving, or interfering with other 6TiSCH nodes. This particular work
> will focus on IP traffic since the work on tracks is not yet advanced enough to
> specify their requirements.
> 
> - Produce requirements to the DetNet WG, detailing 6TiSCH chunks and
> tracks, and the data models to manipulate them from an external controller
> such as a PCE.
> 
> - Produce a specification for a secure 6TiSCH network bootstrap, adapted to
> the constraints of 6TiSCH nodes and leveraging existing art when possible.
> 
> - Keep updating the "6TiSCH architecture" that describes the design of 6TiSCH
> networks. This document highlights the different architectural blocks,
> signaling and data flows, including the operation of the network in the
> presence of multiple LBRs. The existing document will be augmented to
> cover dynamic scheduling and application of the DetNet work but will not be
> delivered within this round of chartering.
> 
> - Producing a YANG Data Models to manage 6tisch is foreseen, but left to a
> later phase.
> 
> 
> Non-milestone work items:
> -------------------------
> 
> The Working Group regularly organizes interoperability events with support
> from ETSI (i.e., ETSI 6TiSCH Plugtests) to get feedback from implementers
> early on in the standardization process, and produce better standards.
> 
> 
> Milestones:
>   Apr 2016 - Second submission of draft-ietf-6tisch-minimal to the IESG
>   Apr 2016 - WG call to adopt draft-ietf-6tisch-6top-sf0
>   Apr 2016 - WG call to adopt draft-ietf-6tisch-6top-sublayer
>   Jul 2016 - ETSI 6TiSCH #3 plugtests
>   Jul 2016 - Initial submission of draft-ietf-6tisch-6top-sublayer to the IESG
>   Oct 2016 - Initial submission of draft-ietf-6tisch-6top-sf0 to the IESG
>   Dec 2016 - Evaluate WG progress, propose new charter to the IESG
>   Apr 2017 - Initial submission of 6TiSCH terminology to the IESG
>   Apr 2017 - Initial submission of 6TiSCH architecture to the IESG
>   Dec 2017 - 6TiSCH architecture and terminology in RFC publication queue
> 
>